import request from '@/utils/request'

// 查询videoData列表
export function listVideo(query) {
  return request({
    url: '/VRdemo/video/list',
    method: 'get',
    params: query
  })
}

// 查询videoData详细
export function getVideo(videoDataId) {
  return request({
    url: '/VRdemo/video/' + videoDataId,
    method: 'get'
  })
}

// 新增videoData
export function addVideo(data) {
  return request({
    url: '/VRdemo/video',
    method: 'post',
    data: data
  })
}

// 修改videoData
export function updateVideo(data) {
  return request({
    url: '/VRdemo/video',
    method: 'put',
    data: data
  })
}

// 删除videoData
export function delVideo(videoDataId) {
  return request({
    url: '/VRdemo/video/' + videoDataId,
    method: 'delete'
  })
}
